%define snap 20050724

Summary:	PhpSQLiteAdmin allows you to administer an sqlite database over a web interface
Name:		phpSQLiteAdmin
Version:	0.3
Release:	%mkrel 0.%{snap}.1
License:	GPL
Group:		System/Servers
URL:		http://phpsqliteadmin.sourceforge.net/
Source0:	phpsqliteadmin2-%{version}-%{snap}.tar.bz2
Source1:	SQLite.gif
Patch0:		phpSQLiteAdmin-0.2-mdv_conf.diff
Requires(pre):  apache-mod_php apache-mod_ssl php-sqlite php-gettext
Requires:       apache-mod_php apache-mod_ssl php-sqlite php-gettext
Requires(post):	ccp >= 0.4.0
BuildRequires:	apache-base >= 2.0.54
BuildRequires:	perl
BuildRequires:	ImageMagick
BuildArch: 	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
phpSQLiteAdmin allows you to administer an sqlite database over a
web interface.

%prep

%setup -q -n phpsqliteadmin2
%patch0 -p1

cp %{SOURCE1} .

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644

# strip away annoying ^M
for i in php txt css; do
    find . -type f -name "*.${i}" | xargs perl -p -i -e 's/\r//'
done

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}/var/www/%{name}/db
install -d %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
install -d %{buildroot}%{_sysconfdir}/%{name}

install -m0644 *.php %{buildroot}/var/www/%{name}/
install -m0644 javascript.txt %{buildroot}/var/www/%{name}/
install -m0644 *.css %{buildroot}/var/www/%{name}/
install -m0644 db/*.sqlite %{buildroot}/var/www/%{name}/db/

mv %{buildroot}/var/www/%{name}/config.php %{buildroot}%{_sysconfdir}/%{name}/

cat > %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf << EOF

Alias /%{name} %{_var}/www/%{name}

<Directory /var/www/%{name}>
    Allow from All
</Directory>

<LocationMatch /%{name}>
    Options FollowSymLinks
    RewriteEngine on
    RewriteCond %{SERVER_PORT} !^443$
    RewriteRule ^.*$ https://%{SERVER_NAME}%{REQUEST_URI} [L,R]
</LocationMatch>

EOF

# install script to call the web interface from the menu.
install -d %{buildroot}%{_libdir}/%{name}/scripts
cat > %{buildroot}%{_libdir}/%{name}/scripts/%{name} <<EOF
#!/bin/sh

url='https://localhost/%{name}'
if ! [ -z "\$BROWSER" ] && ( which \$BROWSER ); then
  browser=\`which \$BROWSER\`
elif [ -x /usr/bin/mozilla-firefox ]; then
  browser=/usr/bin/mozilla-firefox
elif [ -x /usr/bin/konqueror ]; then
  browser=/usr/bin/konqueror
elif [ -x /usr/bin/lynx ]; then
  browser='xterm -bg black -fg white -e lynx'
elif [ -x /usr/bin/links ]; then
  browser='xterm -bg black -fg white -e links'
else
  xmessage "No web browser found, install one or set the BROWSER environment variable!"
  exit 1
fi
\$browser \$url
EOF
chmod 755 %{buildroot}%{_libdir}/%{name}/scripts/%{name}

# Mandriva Icons
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_miconsdir}
install -d %{buildroot}%{_liconsdir}

convert SQLite.gif -resize 16x16 %{buildroot}%{_miconsdir}/%{name}.png
convert SQLite.gif -resize 32x32 %{buildroot}%{_iconsdir}/%{name}.png
convert SQLite.gif -resize 48x48 %{buildroot}%{_liconsdir}/%{name}.png

# install menu entry.
install -d %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}): needs=X11 \
section="More Applications/Databases" \
title="phpSQLiteAdmin" \
longtitle="phpSQLiteAdmin is a web adminstration GUI for SQLite databases.  Set the $BROWSER environment variable to choose your preferred browser." \
command="%{_libdir}/%{name}/scripts/%{name} 1>/dev/null 2>/dev/null" \
icon="%{name}.png"
EOF

%post
ccp --delete --ifexists --set "NoOrphans" --ignoreopt config_version --oldfile %{_sysconfdir}/%{name}/config.php --newfile %{_sysconfdir}/%{name}/config.php.rpmnew
%_post_webapp
%update_menus

%postun
%_postun_webapp
%clean_menus

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc changelog.txt copying.txt readme.txt todo.txt create_system_db.sql
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf
%dir %attr(0755,root,root) %{_sysconfdir}/%{name}
%attr(0640,apache,root) %config(noreplace) %{_sysconfdir}/%{name}/config.php
/var/www/%{name}
%attr(0644,apache,apache) /var/www/%{name}/db/*
%attr(0755,root,root) %{_libdir}/%{name}/scripts/%{name}
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Sun May 14 2006 Oden Eriksson <oeriksson@mandriva.com> 0.3-0.20050724.1mdk
- use a cvs snap (20050724)
- use the webapps policy
- fix a menuentry
- add mod_rewrite rules to enforce ssl connections
- fix deps

* Fri Feb 03 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2-2mdk
- rebuild

* Sat Jan 01 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.2-1mdk
- 0.2
- drop P0, it's included
- new url

* Sun Nov 09 2003 Oden Eriksson <oden.eriksson@linux-mandrake.com> 0.1-2mdk
- argh!, forgot to add %%clean ;)

* Sun Nov 09 2003 Oden Eriksson <oden.eriksson@linux-mandrake.com> 0.1-1mdk
- initial cooker contrib.
- added P0 (fixes from the author)

